<div class="card">
    <h4 class="card-header">Creare programare pentru pacientul {{patient?.name}}</h4>
    <div class="card-body">
        <form [formGroup]="createAppointmentForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
                <label for="date">Data</label>
                <input type="datetime-local" formControlName="date" id="date" class="form-control" />
                <div *ngIf="fields.date.touched && fields.date.invalid" class="alert alert-danger">
                    <div *ngIf="fields.date.errors!.required">Data este necesară.</div>
                </div>
            </div>
            <div class="form-group">
                <label for="date">Diagnostic</label>
                <input type="text" formControlName="diagnosis" id="diagnosis" class="form-control" />
            </div>
            <div class="form-group">
                <label for="doctor">Doctor</label>
                <select formControlName="doctor" id="doctor" class="form-control" (change)="updateDoctorId($event.target.value)">
                    <option *ngFor='let doctor of doctors' value="{{doctor.id}}">{{doctor.name}}</option>
                </select>
                <div *ngIf="fields.doctor.touched && fields.doctor.invalid" class="alert alert-danger">
                    <div *ngIf="fields.doctor.errors!.required">Nu ați introdus doctorul.</div>
                </div>
            </div>
            <button type="submit" [disabled]="!createAppointmentForm.valid" class="btn btn-primary">
                <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                Creare
            </button>
        </form>
    </div>
</div>
